<rtflowfile version="1.0">
   <block name="SetReset" folder="Standard\Dynamic\" width="48" height="48">
      <resize constrainprop="false" allow="true"/>
      <instancename show="true" position="up"/>
      <blockname show="false" position="down"/>
      <portnames show="true" inside="false"/>
      <graphic class="rect" x1="0" y1="0" x2="48" y2="48">
         <fill fill="true" color="0x00EEEEEE"/>
      </graphic>
      <graphic class="text" x="24" y="24" height="12" s="SR"/>
      <doc>Stores which out of two boolean signals last had a positive edge. If set was the last signal to have a positive edge, that is switched from 0 to 1, then the resulting signal o is 1. If reset was the last signal to have a positive edge, then the resulting signal o is 0. If both have a positive edge at the same time, reset (0) will have priority. If no signal has yet had a positive edge, the resulting signal is 0.</doc>
      <port name="set" type="bool" x="0" y="16" kind="input" dir="left">
         <doc>The boolean signal whose positive edges sets the resulting signal o to 1.</doc>
      </port>
      <port name="reset" type="bool" x="0" y="32" kind="input" dir="left">
         <doc>The boolean signal whose positive edges sets the resulting signal o to 0.</doc>
      </port>
      <port name="o" type="bool" x="48" y="16" kind="output" dir="right">
         <doc>1 if set was the last signal to have a positive edge, 0 otherwise.</doc>
      </port>
   </block>
   <schematic name="SetReset" width="930" height="602">
      <editor gridsize="16" alignports="true" autovalue="true"/>
      <binstance name="set" block="BoolInput" x="48" y="136"/>
      <binstance name="reset" block="BoolInput" x="48" y="184"/>
      <binstance name="PositiveEdge1" block="PositiveEdge" x="112" y="128"/>
      <binstance name="PositiveEdge2" block="PositiveEdge" x="112" y="176"/>
      <binstance name="If1" block="If" x="304" y="80"/>
      <binstance name="Value2" block="Value" x="256" y="80">
         <constant name="value" value="1" show="true" x="16" y="8"/>
      </binstance>
      <binstance name="Pre1" block="Pre" x="112" y="80">
         <constant name="initial" value="0" show="true" x="16" y="24"/>
      </binstance>
      <binstance name="If2" block="If" x="384" y="80"/>
      <binstance name="Value4" block="Value" x="256" y="48">
         <constant name="value" value="0" show="true" x="16" y="8"/>
      </binstance>
      <binstance name="o" block="BoolOutput" x="464" y="88"/>
      <connection name="set" port1="set.o" port2="PositiveEdge1.i">
         <point x="64" y="144"/>
         <point x="112" y="144"/>
      </connection>
      <connection name="reset" port1="reset.o" port2="PositiveEdge2.i">
         <point x="64" y="192"/>
         <point x="112" y="192"/>
      </connection>
      <connection name="set_value" port1="Value2.o" port2="If1.i1">
         <point x="288" y="88"/>
         <point x="304" y="88"/>
      </connection>
      <connection name="set_edge" port1="PositiveEdge1.o" port2="If1.i2">
         <point x="144" y="144"/>
         <point x="312" y="144"/>
         <point x="312" y="112"/>
      </connection>
      <connection name="pre" port1="Pre1.o" port2="If1.i0">
         <point x="144" y="96"/>
         <point x="224" y="96"/>
         <point x="224" y="104"/>
         <point x="304" y="104"/>
      </connection>
      <connection name="reset_value" port1="Value4.o" port2="If2.i1">
         <point x="288" y="56"/>
         <point x="368" y="56"/>
         <point x="368" y="88"/>
         <point x="384" y="88"/>
      </connection>
      <connection name="pre_or_set" port1="If1.o" port2="If2.i0">
         <point x="336" y="96"/>
         <point x="360" y="96"/>
         <point x="360" y="104"/>
         <point x="384" y="104"/>
      </connection>
      <connection name="reset_edge" port1="PositiveEdge2.o" port2="If2.i2">
         <point x="144" y="192"/>
         <point x="392" y="192"/>
         <point x="392" y="112"/>
      </connection>
      <connection name="o" port1="If2.o" port2="Pre1.i0">
         <point x="416" y="96"/>
         <point x="432" y="96"/>
         <point x="432" y="32"/>
         <point x="96" y="32"/>
         <point x="96" y="96"/>
         <point x="112" y="96"/>
      </connection>
      <connection name="o" port1="If2.o" port2="o.i0">
         <point x="416" y="96"/>
         <point x="464" y="96"/>
      </connection>
   </schematic>
</rtflowfile>
